* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

.mainContainer {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #9388393a;
    color: #333;
    position: relative;
}

.resulte {
    position: absolute;
    top: 7em;
}

.matchIsTie {
    color: red;
    animation: matchTie 0.9s ease-in-out;
}

@keyframes matchTie {
    0% {
        opacity: 0;
        font-size: 0px;
        transform: rotate(0deg);
    }

    100% {
        margin-left: 20px;
        font-size: 34px;
        transform: rotate(360deg);
    }
}



.winnerDeside {
    color: blue;
    animation: winnerDeside 0.9s ease-in-out;
}

@keyframes winnerDeside {
    0% {
        opacity: 0;
        font-size: 0px;
        transform: rotate(0deg);
    }

    100% {
        margin-left: 20px;
        font-size: 34px;
        transform: rotate(360deg);
    }
}


.tic-tac-toe-board {
    display: grid;
    grid-template-columns: repeat(3, 100px);
    grid-template-rows: repeat(3, 100px);
    gap: 10px;
    color: white;
}

.tic-tac-toe-cell {
    background: #333;
    border-radius: 5px;
    transition: all 0.4s ease;
    font-size: 2.5vw;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
}

.resetGame {
    position: absolute;
    bottom: 74px;
    padding: 10px;
    font-size: 18px;
    border-radius: 12px;
    background-color: #333;
    color: white;
    display: none;
}





/* ----------------- This is for the responsivness ----------------- */


@media (width <=556px) {

    .resulte {
        top: 6em;
        font-size: 12px;
    }

    .tic-tac-toe-cell {
        font-size: 7vw;
    }


}

@media (width <=347px) {
    .tic-tac-toe-board {
        grid-template-columns: repeat(3, 75px);
        grid-template-rows: repeat(3, 75px);
        gap: 5px;
    }
}